package com.hzya.frame.plugin.cinvoice.assembler;

import com.alibaba.fastjson.JSONObject;

/**
 * @Description 上下文类，根据发票类型选择相应的组装策略
 * @Author xiangerlin
 * @Date 2025/4/21 14:51
 **/
public class ParamAssemblerContext {

    private ParamAssembler assembler;

    public ParamAssemblerContext(ParamAssembler assembler) {
        this.assembler = assembler;
    }
    public JSONObject assemble(){
        return assembler.assembleParam();
    }
}
